import Vue from 'vue'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import './assets/less/base.less'
import './assets/less/org-tree.less'
import App from './App.vue'
import router from './router'
import store from './store'
import Prototype from './assets/utils/prototype'
import Filter from './assets/utils/filter.js'
import GlobalComponents from './assets/utils/globalComponents.js'
import MuseUI from 'muse-ui';
import 'muse-ui/dist/muse-ui.css';


import Vue2OrgTree from 'vue2-org-tree';

Vue.config.productionTip = false
Vue.use(Vue2OrgTree)
Vue.use(ElementUI);
Vue.use(MuseUI);
Vue.use(Prototype);
Vue.use(Filter);
Vue.use(GlobalComponents); // 全局组件

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
